List an entity's SAT certificates
curl --request GET \
--url https://api.syntage.com/entities/{entityId}/datasources/mx/sat/certificados \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}/datasources/mx/sat/certificados"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}/datasources/mx/sat/certificados', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.syntage.com/entities/{entityId}/datasources/mx/sat/certificados",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.syntage.com/entities/{entityId}/datasources/mx/sat/certificados"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.syntage.com/entities/{entityId}/datasources/mx/sat/certificados")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.syntage.com/entities/{entityId}/datasources/mx/sat/certificados")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"@context": "/contexts/SatCertificate",
"@id": "/entities/91ab5678-1234-5678-9abc-def012345678/datasources/mx/sat/certificados",
"@type": "hydra:Collection",
"hydra:member": [
{
"id": "0197a365-6c09-7019-b072-6c756008cd2d",
"link": "/entities/91ab5678-1234-5678-9abc-def012345678",
"serialNumber": "00001000000516152485",
"type": "efirma",
"issuer": {
"id-at-commonName": "AUTORIDAD CERTIFICADORA",
"id-at-postalCode": "06300",
"id-at-countryName": "MX",
"id-at-localityName": "CUAUHTEMOC",
"id-at-streetAddress": "AV. HIDALGO 77, COL. GUERRERO",
"id-at-organizationName": "SERVICIO DE ADMINISTRACION TRIBUTARIA",
"id-at-uniqueIdentifier": "SAT970701NN3",
"pkcs-9-at-emailAddress": "contacto.tecnico@sat.gob.mx",
"id-at-stateOrProvinceName": "CIUDAD DE MEXICO",
"pkcs-9-at-unstructuredName": "responsable: ADMINISTRACION CENTRAL DE SERVICIOS TRIBUTARIOS AL CONTRIBUYENTE",
"id-at-organizationalUnitName": "SAT-IES Authority"
},
"subject": {
"id-at-name": "JUAN MANUEL PEREZ GONZALEZ",
"id-at-commonName": "JUAN MANUEL PEREZ GONZALEZ",
"id-at-countryName": "MX",
"id-at-serialNumber": "PEIC211118IS0",
"id-at-organizationName": "JUAN MANUEL PEREZ GONZALEZ",
"id-at-uniqueIdentifier": "PEGJ850101AA1",
"pkcs-9-at-emailAddress": "juan.perez@example.com"
},
"validFrom": "2022-11-11 19:02:09",
"validTo": "2026-11-11 19:02:49",
"file": {
"type": "sat.certificate.efirma",
"resource": "/datasources/mx/sat/certificados/0197a365-6c09-7019-b072-6c756008cd2d",
"mimeType": "application/x-x509-ca-cert",
"extension": "cer",
"filename": "91ab5678-1234-5678-9abc-def012345678-00001000000516152485.cer"
},
"status": "active",
"revokedAt": "2023-01-01T12:00:00Z",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"@id": "/datasources/mx/sat/certificados/0197a365-6c09-7019-b072-6c756008cd2d",
"@type": "SatCertificate"
}
],
"hydra:totalItems": 1,
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:first": "<string>",
"hydra:next": "<string>",
"hydra:last": "<string>"
},
"hydra:search": {
"@type": "hydra:IriTemplate",
"hydra:template": "/entities/91ab5678-1234-5678-9abc-def012345678/datasources/mx/sat/certificados{?validFrom[before],validFrom[strictly_before],validFrom[after],validFrom[strictly_after],validTo[before],validTo[strictly_before],validTo[after],validTo[strictly_after],order[validFrom],order[validTo],serialNumber,type}",
"hydra:variableRepresentation": "BasicRepresentation",
"hydra:mapping": [
{
"@type": "IriTemplateMapping",
"variable": "validFrom[before]",
"property": "validFrom",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "validFrom[strictly_before]",
"property": "validFrom",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "validFrom[after]",
"property": "validFrom",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "validFrom[strictly_after]",
"property": "validFrom",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "validTo[before]",
"property": "validTo",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "validTo[strictly_before]",
"property": "validTo",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "validTo[after]",
"property": "validTo",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "validTo[strictly_after]",
"property": "validTo",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "order[validFrom]",
"property": "validFrom",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "order[validTo]",
"property": "validTo",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "serialNumber",
"property": "serialNumber",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "type",
"property": "type",
"required": false
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}Certificates
List an entity's SAT certificates
List SAT certificates associated with an entity. These digital certificates are used for electronic signatures and digital sealing in Mexico’s tax system.
GET
/
entities
/
{entityId}
/
datasources
/
mx
/
sat
/
certificados
List an entity's SAT certificates
curl --request GET \
--url https://api.syntage.com/entities/{entityId}/datasources/mx/sat/certificados \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities/{entityId}/datasources/mx/sat/certificados"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities/{entityId}/datasources/mx/sat/certificados', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.syntage.com/entities/{entityId}/datasources/mx/sat/certificados",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.syntage.com/entities/{entityId}/datasources/mx/sat/certificados"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.syntage.com/entities/{entityId}/datasources/mx/sat/certificados")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.syntage.com/entities/{entityId}/datasources/mx/sat/certificados")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"@context": "/contexts/SatCertificate",
"@id": "/entities/91ab5678-1234-5678-9abc-def012345678/datasources/mx/sat/certificados",
"@type": "hydra:Collection",
"hydra:member": [
{
"id": "0197a365-6c09-7019-b072-6c756008cd2d",
"link": "/entities/91ab5678-1234-5678-9abc-def012345678",
"serialNumber": "00001000000516152485",
"type": "efirma",
"issuer": {
"id-at-commonName": "AUTORIDAD CERTIFICADORA",
"id-at-postalCode": "06300",
"id-at-countryName": "MX",
"id-at-localityName": "CUAUHTEMOC",
"id-at-streetAddress": "AV. HIDALGO 77, COL. GUERRERO",
"id-at-organizationName": "SERVICIO DE ADMINISTRACION TRIBUTARIA",
"id-at-uniqueIdentifier": "SAT970701NN3",
"pkcs-9-at-emailAddress": "contacto.tecnico@sat.gob.mx",
"id-at-stateOrProvinceName": "CIUDAD DE MEXICO",
"pkcs-9-at-unstructuredName": "responsable: ADMINISTRACION CENTRAL DE SERVICIOS TRIBUTARIOS AL CONTRIBUYENTE",
"id-at-organizationalUnitName": "SAT-IES Authority"
},
"subject": {
"id-at-name": "JUAN MANUEL PEREZ GONZALEZ",
"id-at-commonName": "JUAN MANUEL PEREZ GONZALEZ",
"id-at-countryName": "MX",
"id-at-serialNumber": "PEIC211118IS0",
"id-at-organizationName": "JUAN MANUEL PEREZ GONZALEZ",
"id-at-uniqueIdentifier": "PEGJ850101AA1",
"pkcs-9-at-emailAddress": "juan.perez@example.com"
},
"validFrom": "2022-11-11 19:02:09",
"validTo": "2026-11-11 19:02:49",
"file": {
"type": "sat.certificate.efirma",
"resource": "/datasources/mx/sat/certificados/0197a365-6c09-7019-b072-6c756008cd2d",
"mimeType": "application/x-x509-ca-cert",
"extension": "cer",
"filename": "91ab5678-1234-5678-9abc-def012345678-00001000000516152485.cer"
},
"status": "active",
"revokedAt": "2023-01-01T12:00:00Z",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"@id": "/datasources/mx/sat/certificados/0197a365-6c09-7019-b072-6c756008cd2d",
"@type": "SatCertificate"
}
],
"hydra:totalItems": 1,
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:first": "<string>",
"hydra:next": "<string>",
"hydra:last": "<string>"
},
"hydra:search": {
"@type": "hydra:IriTemplate",
"hydra:template": "/entities/91ab5678-1234-5678-9abc-def012345678/datasources/mx/sat/certificados{?validFrom[before],validFrom[strictly_before],validFrom[after],validFrom[strictly_after],validTo[before],validTo[strictly_before],validTo[after],validTo[strictly_after],order[validFrom],order[validTo],serialNumber,type}",
"hydra:variableRepresentation": "BasicRepresentation",
"hydra:mapping": [
{
"@type": "IriTemplateMapping",
"variable": "validFrom[before]",
"property": "validFrom",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "validFrom[strictly_before]",
"property": "validFrom",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "validFrom[after]",
"property": "validFrom",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "validFrom[strictly_after]",
"property": "validFrom",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "validTo[before]",
"property": "validTo",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "validTo[strictly_before]",
"property": "validTo",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "validTo[after]",
"property": "validTo",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "validTo[strictly_after]",
"property": "validTo",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "order[validFrom]",
"property": "validFrom",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "order[validTo]",
"property": "validTo",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "serialNumber",
"property": "serialNumber",
"required": false
},
{
"@type": "IriTemplateMapping",
"variable": "type",
"property": "type",
"required": false
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Your API key is available in the Production and Sandbox dashboards.
Query Parameters
Response
SAT Certificates
Was this page helpful?